/**
 * 云函数入口文件
 * 初始化数据库
 */
const cloud = require('wx-server-sdk');
const {
  MediaController,
  MediaOnceController,
  getArticleController,
  getScheduleController,
  getLiveController,
  getLiveListController,
  getArticleListController,
  test
} = require("./controller/index");
cloud.init({
  env: 'medium-4gx7s66sd1698f5a'
})
const { db, _ } = require("./utils/http");
// 云函数入口函数
exports.main = async (event, context) => {
  switch (event.type) {
    case "getMedia": {
      delete event.type;
      return MediaController(event);
    }

    case "getMediaOnce": {
      delete event.type
      return MediaOnceController(event)
    }

    case "getArticle": {
      delete event.type;
      return getArticleController(event)
    }

    case "getArticleList": {
      delete event.type;
      return getArticleListController(event)
    }

    case "getSchedule": {
      delete event.type
      return getScheduleController(event)
    }

    case "getLiveData":{
      delete event.type;
      return getLiveController(event);
    }

    case "getLiveListData":{
      delete event.type;
      return getLiveListController(event);
    }

    case 'test': {
      return test()
    }

    default: {
      return {}
    }
  }
}