// pages/imgController/index.js
import {
  httpCloud
} from "../../utils/httpFunc";
import {
  dateFormmat
} from "../../utils/tool"

Page({

  /**
   * 页面的初始数据
   */
  data: {
    mediaList: [],
    activityName: '',
  },
  nameText: "",
  page: 0,
  limit: 100,

  getDate() {
    const _this = this;
    httpCloud({
      name: "server",
      type: "getMedia",
      data: {
        typeMedia: this.mediaType,
        page: this.page,
        limit: this.limit,
        activityName: this.data.activityName
      },
      call(res) {
        if (!res.length) {
          this.page = -1;
          return
        }
        _this.setData({
          mediaList: (res || []).map(v => {
            const date = dateFormmat(v.date);
            return {
              ...v,
              date: [date.year, date.month, date.day].join("-"),
              mediaType: _this.mediaType,
            }
          })
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.nameText = decodeURIComponent(options.title || "详情");
    this.mediaType = options.mediaType || 'image';
    this.setData({
      activityName: options.activity,
    })
    wx.setNavigationBarTitle({
      title: this.nameText
    })
    this.page = 0;
    this.getDate()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {},
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    if (this.page === -1) return;
    this.page += 1;
    this.getDate();
  },

  onShareAppMessage: function () {
    return {
      title: "", // 分享名称
      path: 'pages/home/index', // 点击分享后的链接要来到的页面的路径已经对应需要的参数
    }
  },
})